MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010655mantisbtbugtrackerpublic2009-06-30 04:312009-12-27 17:32
ReporterDominionSpy 
Assigned Tovboctor 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows Server 2003OS VersionSP1
Product Version1.2.0rc1 
Target VersionFixed in Version1.2.0rc2 
Summary0010655: Private notes cause the view page to stop rendering
DescriptionWhen a user who does not have permission to view private notes looks at an issue with one or more of them, the page takes a long time to load and when it does eventually load, the page is only rendered up to the section before notes. No notes are shown (even public ones), no add note section, issue history section, or footer is shown.

Also, there are errors generated in the Apache logs:
PHP Fatal error: Maximum execution time of 30 seconds exceeded in C:\\Program Files\\Apache\\htdocs\\mantis\\core\\lang_api.php on line 182, referer: http://glkas0880v:8080/mantis/view.php?id=1094 [^]
PHP Fatal error: Maximum execution time of 30 seconds exceeded in C:\\Program Files\\Apache\\htdocs\\mantis\\core\\bugnote_api.php on line 357, referer: http://glkas0880v:8080/mantis/view.php?id=1094 [^]
PHP Fatal error: Maximum execution time of 30 seconds exceeded in C:\\Program Files\\Apache\\htdocs\\mantis\\core\\user_pref_api.php on line 133, referer: http://glkas0880v:8080/mantis/view.php?id=1094 [^]
PHP Fatal error: Maximum execution time of 30 seconds exceeded in C:\\Program Files\\Apache\\htdocs\\mantis\\core\\config_api.php on line 61, referer: http://glkas0880v:8080/mantis/view.php?id=1094 [^]
Additional InformationApache version:
Initially tested with 2.2.6, currently running with 2.2.11

PHP:
Initially tested with 5.3.0RC4, currently running with 5.2.10
Tagsnotes, security
Attached Files

- Relationships
has duplicate 0011079closeddhx Error viewing private note 

-  Notes
User avatar (0022375)
vboctor (administrator)
2009-07-04 03:02

Fixed in both master and master-1.2.x.

- Related Changesets
MantisBT: master 6c8c7bed
Timestamp: 2009-07-04 06:56:26
Author: vboctor
Details ] Diff ]
Fixes 0010655: Private notes cause the view page to stop rendering.
mod - core/bugnote_api.php Diff ] File ]
MantisBT: master-1.2.x 57dbc614
Timestamp: 2009-07-04 07:00:57
Author: vboctor
Details ] Diff ]
Fixed 0010655: Private notes cause the view page to stop rendering.
mod - core/bugnote_api.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2009-06-30 04:31 DominionSpy New Issue
2009-06-30 07:16 DominionSpy Tag Attached: notes
2009-06-30 07:16 DominionSpy Tag Attached: security
2009-07-04 03:00 vboctor Changeset attached master 6c8c7bed =>
2009-07-04 03:02 vboctor Note Added: 0022375
2009-07-04 03:02 vboctor Status new => resolved
2009-07-04 03:02 vboctor Fixed in Version => 1.2.0rc1
2009-07-04 03:02 vboctor Resolution open => fixed
2009-07-04 03:02 vboctor Assigned To => vboctor
2009-07-04 03:03 vboctor Fixed in Version 1.2.0rc1 => 1.2.2
2009-07-04 12:19 vboctor Changeset attached master-1.2.x 57dbc614 =>
2009-10-07 14:20 jreese Status resolved => closed
2009-10-26 07:43 dhx Relationship added has duplicate 0011079


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.0935 seconds.
memory usage: 3,043 KB
Powered by Mantis Bugtracker